/* CONCISE HELPERS */
.float-left {
  float: left;
}

.float-right {
  float: right;
}

.float-none {
  float: none;
}

.align-center,
.siteHeader .logo img {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.no-margin {
  margin: 0;
}

.inline {
  display: inline;
}

.show {
  display: block;
  visibility: visible;
}

.hide {
  display: none;
  visibility: hidden;
}

.screen-reader,
.text-hide {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

.full-width {
  width: 100%;
}

img.full-width {
  max-width: 100%;
  height: auto;
  display: block;
  width: auto;
}

.text-left {
  text-align: left;
}

.text-right {
  text-align: right;
}

.text-center {
  text-align: center;
}

.text-justify {
  text-align: justify;
}

.weight-light {
  font-weight: 300;
}

.weight-normal {
  font-weight: 400;
}

.weight-semibold {
  font-weight: 600;
}

.text-uppercase {
  text-transform: uppercase;
}

.amp {
  font: italic 110% Baskerville, "Goudy Old Style", "Palatino", "Book Antiqua", serif;
}

.caret {
  border-top: 5px solid;
  border-right: 5px solid transparent;
  border-left: 5px solid transparent;
  display: inline-block;
  margin: 0 0 3px 4px;
  vertical-align: middle;
  width: 0;
}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .homeSubheading, .h4, .h5, .h6,
.giga, .mega, .homeBanner h1, .masthead .masthead-title, .kilo {
  color: #181818;
  font-family: "source-sans-pro", "Segoe UI", "Myriad Pro", Helvetica, Tahoma, sans-serif;
  font-weight: normal;
  text-rendering: optimizeLegibility;
}
h1 a, h2 a, h3 a, h4 a, h5 a, h6 a,
.h1 a, .h2 a, .h3 a, .homeSubheading a, .h4 a, .h5 a, .h6 a,
.giga a, .mega a, .homeBanner h1 a, .masthead .masthead-title a, .kilo a {
  font-weight: inherit;
}
h1 small, h2 small, h3 small, h4 small, h5 small, h6 small,
.h1 small, .h2 small, .h3 small, .homeSubheading small, .h4 small, .h5 small, .h6 small,
.giga small, .mega small, .homeBanner h1 small, .masthead .masthead-title small, .kilo small {
  color: #808080;
  font-size: 60%;
  line-height: 1;
}

h1, .h1 {
  font-size: 24px;
  font-size: 1.5rem;
  line-height: 1;
}
@media (min-width: 48em) {
  h1, .h1 {
    font-size: 32px;
    font-size: 2rem;
    line-height: 1.5;
  }
}
@media (min-width: 60em) {
  h1, .h1 {
    font-size: 36px;
    font-size: 2.25rem;
    line-height: 1.33333;
  }
}

h2, .h2 {
  font-size: 20px;
  font-size: 1.25rem;
  line-height: 1.2;
}
@media (min-width: 48em) {
  h2, .h2 {
    font-size: 24px;
    font-size: 1.5rem;
    line-height: 1;
  }
}
@media (min-width: 60em) {
  h2, .h2 {
    font-size: 30px;
    font-size: 1.875rem;
    line-height: 1.6;
  }
}

h3, .h3, .homeSubheading {
  font-size: 18px;
  font-size: 1.125rem;
  line-height: 1.33333;
}
@media (min-width: 48em) {
  h3, .h3, .homeSubheading {
    font-size: 20px;
    font-size: 1.25rem;
    line-height: 1.2;
  }
}
@media (min-width: 60em) {
  h3, .h3, .homeSubheading {
    font-size: 24px;
    font-size: 1.5rem;
    line-height: 1;
  }
}

h4, .h4 {
  font-size: 16px;
  font-size: 1rem;
  line-height: 1.5;
}
@media (min-width: 48em) {
  h4, .h4 {
    font-size: 18px;
    font-size: 1.125rem;
    line-height: 1.33333;
  }
}
@media (min-width: 60em) {
  h4, .h4 {
    font-size: 20px;
    font-size: 1.25rem;
    line-height: 1.2;
  }
}

h5, .h5 {
  font-size: 14px;
  font-size: 0.875rem;
  line-height: 1.71429;
}
@media (min-width: 48em) {
  h5, .h5 {
    font-size: 16px;
    font-size: 1rem;
    line-height: 1.5;
  }
}
@media (min-width: 60em) {
  h5, .h5 {
    font-size: 18px;
    font-size: 1.125rem;
    line-height: 1.33333;
  }
}

h6, .h6 {
  font-size: 12px;
  font-size: 0.75rem;
  line-height: 2;
}
@media (min-width: 48em) {
  h6, .h6 {
    font-size: 14px;
    font-size: 0.875rem;
    line-height: 1.71429;
  }
}
@media (min-width: 60em) {
  h6, .h6 {
    font-size: 16px;
    font-size: 1rem;
    line-height: 1.5;
  }
}

.giga {
  font-size: 48px;
  font-size: 3rem;
  line-height: 1;
}
@media (min-width: 48em) {
  .giga {
    font-size: 64px;
    font-size: 4rem;
    line-height: 1.125;
  }
}
@media (min-width: 70em) {
  .giga {
    font-size: 80px;
    font-size: 5rem;
    line-height: 1.2;
  }
}
@media (min-width: 80em) {
  .giga {
    font-size: 96px;
    font-size: 6rem;
    line-height: 1;
  }
}

.mega, .homeBanner h1, .masthead .masthead-title {
  font-size: 40px;
  font-size: 2.5rem;
  line-height: 1.2;
}
@media (min-width: 48em) {
  .mega, .homeBanner h1, .masthead .masthead-title {
    font-size: 64px;
    font-size: 4rem;
    line-height: 1.125;
  }
}
@media (min-width: 70em) {
  .mega, .homeBanner h1, .masthead .masthead-title {
    font-size: 72px;
    font-size: 4.5rem;
    line-height: 1;
  }
}

.kilo {
  font-size: 32px;
  font-size: 2rem;
  line-height: 1.5;
}
@media (min-width: 48em) {
  .kilo {
    font-size: 32px;
    font-size: 2rem;
    line-height: 1.5;
  }
}
@media (min-width: 70em) {
  .kilo {
    font-size: 48px;
    font-size: 3rem;
    line-height: 1;
  }
}
@media (min-width: 80em) {
  .kilo {
    font-size: 64px;
    font-size: 4rem;
    line-height: 1.125;
  }
}

/* CUSTOM STYLES */
html,
body {
  background-color: #f7f7f5;
  height: 100%;
}

body {
  -webkit-transition: all .3s;
          transition: all .3s;
}

a {
  color: #ecac91;
  -webkit-transition: all .3s;
          transition: all .3s;
}
a:hover {
  color: #dd6a3a;
  text-decoration: none;
}
a:visited {
  color: #e48b66;
}

p {
  line-height: 1.6;
  margin-bottom: 18px;
}

.container {
  -webkit-transition: width .15s;
          transition: width .15s;
}

.btn {
  -webkit-transition: background .3s;
          transition: background .3s;
}

.btn--full {
  width: 100%;
}

.btn--borderWhite {
  background-color: transparent;
  border: 1px solid #fff;
}
.btn--borderWhite:hover {
  background-color: #fff;
  color: #161e27 !important;
}
.btn--borderWhite:active, .btn--borderWhite:visited {
  color: #fff;
}

a.btn--borderBlue {
  background-color: transparent;
  border: 2px solid #5bc0de;
  color: #5bc0de;
}
a.btn--borderBlue:hover {
  background-color: #5bc0de;
  color: #fff;
}
a.btn--borderBlue:active, a.btn--borderBlue:visited {
  color: #fff;
}

.note {
  background-color: #fcf3d0;
  margin-bottom: 24px;
  padding: 18px;
}
.note:before {
  content: "Note: ";
  font-weight: bold;
}

.note--preprocessor {
  background-color: #f0e7f4;
}
.note--preprocessor:before {
  content: "Preprocessor Note: ";
}

.siteHeader {
  background-color: #fff;
  border-bottom: 1px solid #ddd;
  padding-bottom: 12px;
  padding-top: 12px;
}
.siteHeader:after {
  content: "";
  display: table;
  clear: both;
}
.siteHeader .logo {
  margin-bottom: 24px;
}
@media (min-width: 30em) {
  .siteHeader .logo {
    float: left;
    margin: 0 auto;
  }
}
.siteHeader .logo img {
  width: 175px;
}
.siteHeader nav {
  font-size: 14px;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
}
@media (min-width: 30em) {
  .siteHeader nav {
    float: right;
    margin-top: 18px;
    text-align: right;
  }
}
.siteHeader nav a {
  color: #999;
}
.siteHeader nav a:hover, .siteHeader nav a:active {
  color: #dd6a3a;
}

.homeBanner {
  background: url("../images/bg.jpg") no-repeat center center fixed;
  background-size: cover;
  color: #fff;
  padding-bottom: 60px;
  padding-top: 60px;
  text-align: center;
}
@media (min-width: 30em) {
  .homeBanner {
    padding-bottom: 84px;
    padding-top: 84px;
  }
}
@media (min-width: 48em) {
  .homeBanner {
    padding-bottom: 108px;
    padding-top: 108px;
  }
}
@media (min-width: 60em) {
  .homeBanner {
    padding-bottom: 144px;
    padding-top: 144px;
  }
}
.homeBanner h1,
.homeBanner h3 {
  color: #fff;
}
.homeBanner h1 {
  margin-bottom: 12px;
  margin-top: 0px;
}
.homeBanner .homeBanner-buttons {
  padding-bottom: 36px;
  padding-top: 36px;
}
@media (min-width: 60em) {
  .homeBanner .homeBanner-buttons {
    padding-bottom: 72px;
    padding-top: 72px;
  }
}

.homeBanner-buttons {
  padding-bottom: 12px;
  padding-top: 12px;
}
.homeBanner-buttons .btn--borderWhite {
  border-width: 3px;
  font-weight: bold;
  letter-spacing: 1px;
  margin-bottom: 12px;
  text-transform: uppercase;
  width: 100%;
}
@media (min-width: 30em) {
  .homeBanner-buttons .btn--borderWhite {
    margin-bottom: 0;
    margin-left: 8px;
    width: auto;
  }
  .homeBanner-buttons .btn--borderWhite:first-of-type {
    margin-left: 0;
  }
}

.homeHeading,
.homeSubheading {
  margin: 0;
}

.homeHeading {
  font-size: 36px;
  font-size: 2.25rem;
  line-height: 1.33333;
  margin-bottom: 12px;
}
@media (min-width: 60em) {
  .homeHeading {
    font-size: 48px;
    font-size: 3rem;
    line-height: 1;
  }
}

.homeSubheading {
  font-weight: 100;
  margin-bottom: 48px;
}
@media (min-width: 48em) {
  .homeSubheading {
    margin-bottom: 60px;
  }
}

.homeFeatures,
.homeShowcase,
.homeDownload {
  padding-bottom: 48px;
  padding-top: 48px;
  text-align: center;
}
@media (min-width: 60em) {
  .homeFeatures,
  .homeShowcase,
  .homeDownload {
    padding-bottom: 60px;
    padding-top: 60px;
  }
}
@media (min-width: 70em) {
  .homeFeatures,
  .homeShowcase,
  .homeDownload {
    padding-bottom: 84px;
    padding-top: 84px;
  }
}

.homeFeatures {
  border-bottom: 1px solid #ddd;
}
.homeFeatures .feature {
  background-clip: padding-box;
  margin-bottom: 60px;
}
@media (min-width: 48em) {
  .homeFeatures .feature {
    float: left;
    margin-left: 3%;
    width: 31.33333%;
  }
}
@media (min-width: 48em) {
  .homeFeatures .feature {
    margin-bottom: 0;
  }
}
.homeFeatures .feature:first-of-type {
  margin-left: 0;
}
.homeFeatures .feature:last-of-type {
  margin-bottom: 0;
}
.homeFeatures .feature h3 {
  font-weight: bold;
  margin-bottom: 24px;
}

.homeShowcase {
  background-color: #fff;
}
.homeShowcase .showcase-item {
  background-clip: padding-box;
  border: 6px solid #fff;
  border-bottom: none;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
}
@media (min-width: 48em) {
  .homeShowcase .showcase-item {
    float: left;
    margin-left: 2%;
    width: 23.5%;
  }
}
.homeShowcase .showcase-item:first-of-type {
  margin-left: 0;
}
.homeShowcase .showcase-item img {
  width: 100%;
}
@media (min-width: 48em) {
  .homeShowcase .showcase-item img {
    opacity: .8;
    -webkit-transition: opacity .3s;
            transition: opacity .3s;
  }
  .homeShowcase .showcase-item img:hover {
    opacity: 1;
  }
}

.homeDownload {
  background-color: #A0417B;
  color: #fff;
  text-align: center;
}
@media (min-width: 60em) {
  .homeDownload {
    padding-bottom: 84px;
    padding-top: 84px;
  }
}
.homeDownload h2,
.homeDownload p {
  color: #fff;
}

.masthead {
  background: url("../images/bg.jpg") no-repeat center center fixed;
  background-size: cover;
  padding-bottom: 36px;
  padding-top: 36px;
}
@media (min-width: 30em) {
  .masthead {
    padding-bottom: 48px;
    padding-top: 48px;
  }
}
.masthead .masthead-title,
.masthead .masthead-subtitle {
  color: #fff;
  margin-bottom: 0;
  margin-top: 0;
}
.masthead .masthead-title {
  margin-bottom: 12px;
}
.masthead .masthead-subtitle {
  font-weight: 100;
}

#fusionads {
  border: 1px solid rgba(250, 250, 250, 0.55);
  display: none;
  line-height: 100%;
  margin: 48px auto 0;
  padding: 10px 10px 5px;
  text-align: left;
  width: 275px;
  z-index: 100;
}
@media (min-width: 60em) {
  #fusionads {
    display: block;
    margin: 0;
    position: absolute;
    right: 48px;
    top: 460px;
  }
  .masthead #fusionads {
    top: 130px;
  }
}
#fusionads a {
  color: #fff !important;
}
#fusionads a:hover {
  color: #ddd !important;
}

.fusion-wrap {
  float: left;
}

.fusion-img {
  float: left;
  margin: 0 10px 5px 0;
}

.fusion-text {
  display: block;
  font-size: 13px;
}

.fusion-poweredby {
  font-size: 11px;
}

.documentation {
  width: 100%;
  margin-bottom: 48px;
  margin-top: 24px;
}
.documentation:after {
  clear: both;
  content: " ";
  display: table;
}
@media (min-width: 48em) {
  .documentation {
    margin-top: 48px;
  }
}

.documentation-sidebar {
  background-clip: padding-box;
  margin-bottom: 24px;
  margin-left: 0;
}
@media (min-width: 48em) {
  .documentation-sidebar {
    float: left;
    width: 21.875%;
  }
}
@media (min-width: 48em) {
  .documentation-sidebar {
    margin-bottom: 0;
    padding-top: 12px;
  }
}
.documentation-sidebar ul {
  margin-bottom: 24px;
}
.documentation-sidebar ul li {
  font-size: 14px;
  font-size: 0.875rem;
  line-height: 1.71429;
  margin-bottom: 2px;
  padding-bottom: 8px;
  padding-top: 8px;
  -webkit-transition: padding-left .15s;
          transition: padding-left .15s;
}
@media (min-width: 48em) {
  .documentation-sidebar ul li {
    padding-bottom: 5px;
    padding-top: 5px;
  }
}
.documentation-sidebar ul li:hover, .documentation-sidebar ul li.active {
  background-color: #f2f2f2;
  border-left: 2px solid #ecac91;
  padding-left: 8px;
}
.documentation-sidebar ul li.header {
  color: #555;
  cursor: default;
  font-size: 18px;
}
.documentation-sidebar ul li.header:hover {
  background-color: transparent;
  border-left: none;
  padding-left: 0;
}

.documentation-content {
  background-clip: padding-box;
  background: #fff;
  box-shadow: 7px 7px 0px rgba(175, 175, 175, 0.1);
  padding: 24px 36px;
}
@media (min-width: 48em) {
  .documentation-content {
    float: left;
    width: 78.125%;
  }
}
@media (min-width: 48em) {
  .documentation-content {
    padding-top: 0;
  }
}
.documentation-content h1,
.documentation-content h2 {
  border-bottom: 1px solid #f0f0f0;
}
.documentation-content h1 {
  padding-bottom: 5px;
}
.documentation-content p code,
.documentation-content table code {
  background-color: #f3f3f3;
  border: 1px solid #e3e3e3;
  border-radius: 4px;
  font-size: 14px;
  font-size: 0.875rem;
  line-height: 1.71429;
  padding: 1px 3px;
}

.preview {
  background-color: #fcfcfc;
  border: 1px solid #f0f0f0;
  border-radius: 4px;
  margin-bottom: 24px;
}
.preview *::-webkit-selection {
  background-color: #ededed;
  color: gray;
}
.preview *::-moz-selection {
  background-color: #ededed;
  color: gray;
}
.preview *::selection {
  background-color: #ededed;
  color: gray;
}
.preview p {
  line-height: 1.5;
  margin-bottom: 24px;
}
.preview p code {
  background-color: transparent;
  border: none;
  font-size: 16px;
  font-size: 1rem;
  line-height: 1.5;
  padding: 0;
}
.preview h1,
.preview h2 {
  border-bottom: none;
}
.preview h1 {
  padding-bottom: 0;
}

.preview-heading,
.preview-footer {
  background-color: #f7f7f7;
  padding: 8px;
}
.preview-heading strong,
.preview-footer strong {
  font-size: 12px;
  font-size: 0.75rem;
  line-height: 2;
  color: #999999;
  text-transform: uppercase;
}

.preview-heading {
  border-bottom: 1px solid #f0f0f0;
}

.preview-body + .preview-footer {
  border-top: 1px solid #f0f0f0;
}

.preview-body {
  padding: 12px;
}

.preview-footer pre {
  padding-bottom: 6px;
}
.preview-footer .highlight {
  background-color: transparent;
}

.table-responsive + .preview {
  margin-top: 24px;
}

.conciseExamples {
  width: 100%;
}
.conciseExamples:after {
  clear: both;
  content: " ";
  display: table;
}
.conciseExamples .example-item {
  background-clip: padding-box;
  border: 6px solid #fff;
  border-bottom: none;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
}
@media (min-width: 48em) {
  .conciseExamples .example-item {
    float: left;
    margin-left: 2%;
    width: 32%;
  }
}
.conciseExamples .example-item:first-of-type {
  margin-left: 0;
}
.conciseExamples .example-item img {
  width: 100%;
}
@media (min-width: 48em) {
  .conciseExamples .example-item img {
    opacity: .8;
    -webkit-transition: opacity .3s;
            transition: opacity .3s;
  }
  .conciseExamples .example-item img:hover {
    opacity: 1;
  }
}

.siteFooter {
  font-size: 14px;
  font-size: 0.875rem;
  line-height: 1.71429;
  background-color: #262626;
  color: #666;
  padding-bottom: 48px;
  padding-top: 48px;
  text-align: center;
}
.siteFooter a {
  color: #f6f6f6;
}
.siteFooter a:hover {
  color: #ddd;
}
.siteFooter p {
  margin-bottom: 0px;
  text-transform: uppercase;
}
.siteFooter p a {
  color: #999;
}
.siteFooter p a:hover {
  color: #bbb;
}
.siteFooter p span {
  margin-left: 2px;
  margin-right: 2px;
}
.siteFooter ul {
  margin-bottom: 48px;
}
.siteFooter ul a {
  display: block;
  background-color: #464646;
  margin: 0px;
  margin-bottom: 2px;
  padding-bottom: 7px;
  padding-top: 7px;
  -webkit-transition: background-color .15s;
          transition: background-color .15s;
}
.siteFooter ul a:hover {
  background-color: #555;
}
@media (min-width: 30em) {
  .siteFooter ul a {
    background-color: transparent;
    display: inline;
    border-right: 1px solid #666;
    margin-bottom: 0;
    padding: 0 10px;
  }
  .siteFooter ul a:hover {
    background-color: transparent;
  }
}
.siteFooter ul a:first-child {
  padding-left: 0px;
}
.siteFooter ul a:last-child {
  border-right: none;
  padding-right: 0px;
}
